Stack Exchange Network

Stack Exchange network consists of 174 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [upgrade]

Going from one major version to another (i.e. 2.5 to 3.x) is usually called an upgrade as Starting with Joomla 1.6, this is a one-click upgrade (more or less), thus keeping the same installation of Joomla.

1
vote
0answers
28 views

Error during update from 3.4.8 to 3.6.5

When I try to run an update from Joomla 3.4.8 to 3.6.5, I get the archive file is corrupt, truncated or archive parts are missing and then it just spins. Googling is not a ton of help. ...
1
vote
2answers
69 views

Frustrating upgrade J2.5 to J3 not working

I'm trying to upgrade a website with overt 25,000 article from 2.5 to Joomla 3 and I'm having all kind of problems. First, I tried upgrading with the update button and that just crashed everything. ...
5
votes
5answers
1k views

How to force cache/browser data clearing in browser?

Scenario: I have upgraded an old Joomla! website from 2.5 to the latest version of Joomla!. After doing so the site from my point of view looks as it should. If I try to access the site from another ...
0
votes
1answer
233 views

Making Joomla 2.5 component compatible with Joomla 3

I have component in Joomla 2.5. I am trying to make it to compatible with Joomla 3.x. After few changes in the code, I get an error: Cannot extend from interface JController Then I change the ...
0
votes
1answer
70 views

Error on upgrade of database

I manually upgraded a Joomla 3.3 to 3.4.8, but Extensions > Manage > Database showed: The Joomla! Core database tables have not been converted yet to UTF-8 Multibyte (utf8mb4). I clicked ...
2
votes
1answer
1k views

“invalid login” when attempting to update Joomla 3.4.8 to 3.7.5

At /administrator/index.php?option=com_joomlaupdate I click Install the update to update from 3.4.8 to 3.7.5, but immediately after clicking that button I receive a browser popup window invalid login. ...
0
votes
0answers
119 views

Upgrading Joomla 3.3 to 3.7 - no Extension Manager option available in admin nav menu

I've downloaded a Joomla 3.3 website onto my localhost, and I've updated my hosts file to run the remote URL locally on my PC. I've manually unzipped 3.3.6, 3.4.8, 3.5.1, 3.6.5, & 3.7.5 into the ...
1
vote
3answers
414 views

403 access forbidden when upgrading to 3.7

I am trying to upgrade my site from 3.6.5 to 3.7.2, after uploading the upgrade package and inputting the administrator username and password, I get a "403 access forbidden" error. I think this must ...
0
votes
0answers
41 views

how to manage/upgrade a large number of joomla instances?

I have a rather large number of joomla instances in production (> 100) that I need to periodically update/upgrade (and their development/testing counterparts). I'm looking for a way to automatize ...
2
votes
1answer
93 views

Joomla backend stopped working suddenly because of PHP version

I'm new to Joomla, my site was working almost fine for many weeks but suddenly i'm getting this error "Your host needs to use PHP 5.3.10 or higher to run this version of Joomla!" so i asked my ...
2
votes
1answer
262 views

500 error when trying to upgrade from 3.6.2 to 3.6.5

I am tyring to upgrade my joomla to the latest version(3.6.2 to 3.6.5), but no matter I install it online or download the package and install from local, I got a 500 error. Also when I try to open ...
4
votes
1answer
109 views

Reinstall Joomla failed

I was trying to update my Joomla core to the latest 3.6.5 version, but the update failed due to space restrictions on the hosting environment. Now, when I try to check for updates I get the following ...
3
votes
3answers
2k views

“ERROR: The archive file is corrupt, truncated or archive parts are missing” while trying to update

I tried all the other similar answers for the same error without success. I guess there are some kind of problem specific to the update on my host (GoDaddy). I tried: Upgrade normally via backend (no ...
4
votes
5answers
5k views

“Download of update package failed.” when trying to upgrade to 3.6.2

My current version is 3.6.0. When I was trying to directly upgrade to 3.6.2, I always get this error message: Download of update package failed. I've done upgrading on the same site several times ...
0
votes
1answer
167 views

After upgrade to Joomla 3.6, new saved articles are on the bottom of the articles list

Yesterday I upgraded Joomla to the new 3.6 version and I published an article which didn't show up on my page. I've browsed through the articles, and the newly published article was at the bottom of ...
5
votes
2answers
86 views

Necessary to Upgrade Joomla? When Joomla as internal Portal - Intranet

I am using Joomla as an internal portal for a large company (an intranet). My question is, Is it necessary to upgrade Joomla even though it is on a private server on a internal company network? ...
0
votes
2answers
107 views

Upgrade 2.5 to 3.5 SQL error

I've recently upgraded a test site on 2.5.8 to 3.5.1. Before the upgrade all components were updated or disabled if not useable in 3.5.1. From here I used the Joomla Upgrade to get it to the latest ...
0
votes
2answers
621 views

Upgraded from 2.5 to 3.5 : Joomla.JMultiSelect, Class is not defined

I've upgraded an old site from 2.5 to 3.5 and have managed to fix everything except this error : Uncaught ReferenceError: Class is not defined @ multiselect.js:12 Uncaught TypeError: Joomla....
4
votes
1answer
1k views

My Captcha stopped working after upgrading to Joomla 3.5

After upgrading to Joomla 3.5, my site / extension / custom form captcha stopped working. It does not show up, and no errors are generated anywhere. What happened?
10
votes
2answers
8k views

Fix the “Invalid Address” error, after upgrading to Joomla 3.5.1

After upgrading to Joomla 3.5.1, I get an Invalid Address error in some of my extensions that use PHPMailer (the Joomla Mailing system). How can I fix this?
1
vote
1answer
337 views

Joomla - Upgrade Version 3.2.3 to 3.4.7

Recently, we have done Penetration testing for our Joomla site and came across below Vulnerabilities Joomla Core Remote Code Execution Vulnerability Solution : Upgrade to version 3.4.6 Reference: ...
6
votes
5answers
1k views

Invalid token after upgrading Joomla to 3.5

After upgrading my site to J3.5, users can't login anymore. They get the "invalid token" error. I tried myself around 30 times and I also get the error, although I can login to the admin area. I ...
2
votes
1answer
248 views

jQuery issues after 3.4 Upgrade

I'm having some problems with jQuery after the 3.4.5 upgrade from 3.2.2. $ is not defined. I've done some trouble shooting, and found this: https://stackoverflow.com/questions/17687619/is-there-a-...
2
votes
3answers
2k views

Upgrade from 3.3.6 to 3.4.5 not possible

I am using the German Joomla version 3.3.6 an wish to upgrade to 3.4.5, but in the backend my system says that I have the most recent version installed. If I go to Components >> Joomla Update >> ...
0
votes
1answer
54 views

Difficulty in upgrading 2.5 to 3.4 [closed]

I have fairly large 50 page web site built on Joomla 2.5 which I want to upgrade to 3.4 to enhance security. Our web developer states that the change from 2.5 to 3.4 requires the site to practically ...
4
votes
1answer
5k views

Downgrade (rollback) Joomla Versions

Is is possible to downgrade Joomla versions, for example from version 3.4.3 to 3.4.1? I know restoring from a backup is the easiest and most efficient way, however is there an alternative? I have ...
1
vote
1answer
271 views

From Joomla 3 (or 3.4) will there be a one-click update?

I have one clear question: Will updating from Joomla 3.4 to any future versions including 3.4.x to 3.5.x (((to 4.x.y and ANY future versions))) have ONE-CLICK UPGRADES? Or 3.x.y to 4.x.y will still ...
1
vote
1answer
127 views

Errors after upgrading to Joomla 3.4.1

After upgrading from Joomla 3.3 to 3.4.1 -by extracting the Joomla update package- I was checking that all my menu tabs are working correctly. However I am facing two issues: I found that two tabs ...
0
votes
0answers
182 views

Error on Joomla 3.3 update

I am trying to upgrade my Joomla from 3.3.6 to 3.4.1. Whenever I press the update now button I get the following error: 0 Cannot open file for writing log I tried the following: I created a php ...
2
votes
1answer
308 views

Custom component upgrade - Missing buttons in com_categories view

I'm currently adapting a custom extension a former colleague of mine has developed for Joomla 2.5, so that it runs under Joomla 3.4. The component in question uses com_categories for category ...
3
votes
1answer
3k views

Fatal error: Call to a member function get() on Templates Manager

I was asked to work on a recently upgraded Joomla 3.4.1 site from earlier versions of Joomla. I had to copy the main template and create a new one. But when I went in the template manager -> ...
1
vote
1answer
458 views

Component missing admin-side toolbars after upgrading from 2.5 to 3.4

I'm in the process of migrating my site from Joomla 2.5 to Joomla 3.4. I have noticed that a component I developed does not show its toolbar on the admin side. I put an echo 'hello'; in admin/...
1
vote
1answer
684 views

Upgrade issue from 2.5.28 to joomla 3.4.1

I have upgraded a site from 2.5.28 to 3.4.1.I followed the migration steps as specified in document. It says like it successfully upgraded to latest joomla version 3.4.1. But if I go to home page it ...
1
vote
1answer
890 views

Is it possible to upgrade Joomla 2.5 to 3.4 without losing data?

I was wondering if there's any way to upgrade my Joomla 2.5 website, with VM2 and a template for Joomla 2.5, to Joomla 3. Downloading afterwards the same template and some other plugins and components ...
0
votes
3answers
1k views

Upgrade from Joomla 2.5.28 to Joomla 3.4.0 permissions issue

I recentely undertook the task of upgrading a friends site from Joomla v2.5.28 to Joomla v3.4.0. Thankfully the upgrade went smoothly and there was not many issues with incompatible plugins, ...
1
vote
2answers
5k views

Upgrade 2.5 to 3.4 gives error 1050 and 1146

I'm trying to upgrade my Joomla 2.5 to 3.4 already for 4 days now, but no luck. I have followed all these steps: https://docs.joomla.org/Joomla_2.5_to_3.x_Step_by_Step_Migration I have removed all ...
3
votes
2answers
264 views

User groups is null after edit user joomla 3

I have upgraded my Joomla 2.5 to Joomla 3. After edit user, user groups will be empty. $user = JFactory::getUser(); $groups = $user->groups(); Is there anyone who faced same problem? I checked ...
1
vote
1answer
1k views

Internal Server Error on Godaddy Shared Host

After uploading my Joomla! 3.3.6 installation (that I had upgraded from 2.5 on localhost) on my Godaddy shared host, I cannot access the site: I got 500 Internal Server Error (after waiting for ~30 ...
0
votes
1answer
2k views

How to upgrade Joomla 2.5.28 to 3.3 manually?

I have tried many many procedures but could not succeed migrating my Joomla 2.5.28 web site to 3.3.6. Before migration: Unistalled third party extensions which are not compatible with 3.3.6 Cleared ...
1
vote
1answer
412 views

Joomla 3 - Print/Send icons not showing

I recently upgraded a 2.5 Joomla installation to the latest Joomla 3. Everything went pretty well but one error exists that I cannot solve: All the articles show a small gear in the top right corner ...
5
votes
2answers
2k views

Menus and layout a mess on mini upgrade 2.5.28 to 3.3.6

I'm running a lamp stack on ubuntu 14.04. Just upgraded my local site from 2.5.28 to 3.3.6. It upgraded okay but all the menus are messed up. The formatting is shocking! Can anyone advise as to why ...
6
votes
5answers
6k views

Upgrade to Joomla 3 not available

I've got a Joomla 2.5.28 site that I want to upgrade to Joomla 3.3.x. All available docs say all I need to do is set my update server to short term, and the 3.x series upgrade option will appear. ...
2
votes
1answer
496 views

Joomla! 2.5 backend component adapted to Joomla! 3.3: Toolbar has stopped working

While adapting a Joomla!2.5 backend-only component to Joomla!3.3, I've ran into the issue of the toolbar in the data edition page not working at all. Only two buttons were declared: Save and Cancel; ...
2
votes
1answer
1k views

Error after upgrading to joomla 3.3

Whilst trying to upgrade to Joomla 3.3, I get the following error: 1146 - An error has occurred. Table smilyo_skc.xv36g_postinstall_messages doesn't exist SQL=SHOW FULL COLUMNS FROM ...
2
votes
2answers
517 views

Zoo full edition upgrade to free with custom app

I have to upgrade a site from J2.5 to J.3, that has installed the full edition of yootheme zoo component. The site does not make use of the extra apps though, but only a custom app instead. Anyone ...
2
votes
4answers
3k views

Unable to log in after upgrading joomla 2.5 to 3.0

I have followed the instructions given in following forum post and also googled for how to upgrade joomla 2.5 to 3.0 http://forum.joomla.org/viewtopic.php?f=710&t=793171 After that my process ...
2
votes
1answer
705 views

Can I remove the weblinks component if I upgrade from Joomla 3.3 to 3.4?

I'm currently on Joomla 2.5. I've been hanging out for Joomla 3.4 to be released before migrating, but I can't wait any longer. Will I be able to remove the weblinks component once I upgrade from ...
3
votes
1answer
4k views

Error when upgrading from Joomla 2.5 to 3.3

I finally took on my last upgrade to have all my joomla installs on their current version. so on this last one during the install of the upgrade package. i am now getting a white page and with error ...
4
votes
4answers
8k views

Upgrade From 2.5.x to 3.x SQL error: 1091 Can't DROP 'usertype';

I am working a Joomla 2.5.x site upgrade to Joomla 3.x. I have done this before smoothly but this time site behave differently. when the upgrade reach upto 82.% its throw an error. Error: 1091 Can't ...
9
votes
4answers
18k views

Upgrade to J3 gives JHtmlBehavior::mootools not found

I get a 500 error with JHtmlBehavior::mootools not found. I know this has been removed in J3 but my problem is trying to find out where this issue is. I suspect it is some sort of extension but I ...